'use strict';
Object.defineProperty(exports, '__esModule', {
	value: true
});

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var _gulp = require('gulp');

var _gulp2 = _interopRequireDefault(_gulp);

var _gulpBabel = require('gulp-babel');

var _gulpBabel2 = _interopRequireDefault(_gulpBabel);

var _gulpUtil = require('gulp-util');

/**
 * Builds a directory of JavaScript files using Babel and places the files into destination
 * @param {string|string[]} sources The sources to build
 * @param {string} destination The directory to place built files
 * @returns {function} A gulp task function
 */

exports['default'] = function (sources, destination) {
	return function buildBabel() {
		(0, _gulpUtil.log)(_gulpUtil.colors.blue('build: starting'));
		_gulp2['default'].src(sources).pipe((0, _gulpBabel2['default'])()).pipe(_gulp2['default'].dest(destination));
		(0, _gulpUtil.log)(_gulpUtil.colors.green('build: complete'));
	};
};

;
module.exports = exports['default'];